P4_HOME_DIR = ..
INCLUDEDIR = $(P4_HOME_DIR)/include
LIBDIR = $(P4_HOME_DIR)/lib

P4_HDRS = p4.h p4_sys.h p4_defs.h p4_macros.h  \
          p4_sock_util.h p4_MD.h p4_funcs.h p4_sys_funcs.h \
	  p4_mon.h p4_sr.h p4_globals.h p4_config.h

P4_COMM_OBJ	= 	p4_globals.o p4_MD.o p4_utils.o \
			p4_args.o p4_alloc.o p4_debug.o \
			p4_procgroup.o p4_tsr.o \
			p4_mon.o p4_broadcast.o p4_error.o p4_bm.o 

P4_SOCK_OBJ	=	p4_rm.o      p4_sock_util.o \
			p4_sock_cr.o p4_sock_conn.o \
			p4_sock_sr.o p4_sock_list.o \
			p4_secure.o

P4_CUBENODE_OBJ	=	$(P4_COMM_OBJ) p4_node_rm.o

P4_CUBEHOST_OBJ	=	$(P4_COMM_OBJ) $(P4_SOCK_OBJ)

P4_SHMEM_OBJ	=	p4_shmem_sr.o

LIBS = $(LIBDIR)/libp4.a $(MDEP_LIBS) 

$(P4_OBJ): $(P4_HDRS)

listener_p4.o: $(P4_HDRS)

default:$(P) 
	make $(MFLAGS) libp4.a

all:$(P) 
	make $(MFLAGS) libp4.a listener_p4

libp4.a:$(P) $(P4_OBJ)
	$(AR) $@ $?
	$(RANLIB) $@

listener_p4:$(P) listener_p4.o $(P4_OBJ)
	$(CC) $(CFLAGS) -o listener_p4 listener_p4.o $(LIBS)
	/bin/mv listener_p4 ../bin

realclean: clean
	$(RM) -f Makefile libp4.a alog*.h p4_config.h alog*.h usc*.h

#p4_funcs.h:
#	-mv p4_funcs.h p4_funcs.h.bak
#	csh make_funcdecls p4*.c > p4_funcs.h

#lintlib llib-lp4.ln:	lint_p4.c
#	@if [ $(UNIX) != P4BSD ] ;\
#	then\
#		echo lint $(LINTFLAGS) -x -op4 lint_p4.c ;\
#		lint $(LINTFLAGS) -x -op4 lint_p4.c ;\
#	else\
#		echo lint $(LINTFLAGS) -Cp4 lint_p4.c ;\
#		lint $(LINTFLAGS) -Cp4 lint_p4.c ;\
#	fi
